Public Member Functions | Classes
com.ugrokit.api.UgiTag Class Reference

## Overview

A tag found by the reader: an EPC and additional data.

This object will change if the tag's EPC is changed or its memory is written.

## Public Member Functions
UgiEpc | getEpc ()
| Tag's EPC. More...
Date | getFirstRead ()
| When this tag was first read. More...
byte [] | getTidBytes ()
| Tag's TID memory, if we have read it. More...
void | setTidBytes (byte[] tidBytes)
| Set the tag's TID memory. More...
byte [] | getUserBytes ()
| Tag's USER memory, if we have read it. More...
void | setUserBytes (byte[] userBytes)
| Set the tag's USER memory. More...
byte [] | getReservedBytes ()
| Tag's RESERVED memory, if we have read it. More...
HfTagTypes | getHfTagType ()
| Get the type of HF tag. More...
String | getHfName ()
| Get the name for a HF tag (not localized) More...
String | getHfShortDescription ()
| Get a short description for a HF tag (not localized) More...
String | getHfLongDescription ()
| Get a long description for a HF tag (not localized) More...
int | getHfIso15693dsfid ()
| Get the DSFID for a ISO 15693 tag. More...
int | getHfIso15693afi ()
| Get the AFI for a ISO 15693 tag. More...
int | getHfIso15693infoFlags ()
| Get the information flags for a ISO 15693 tag. More...
int | getHfIso15693icReference ()
| Get the IC reference for a ISO 15693 tag. More...
int | getHfIso15693numBlocks ()
| Get the number of memory blocks for a ISO 15693 tag. More...
int | getHfIso15693blockSize ()
| Get the block size for a ISO 15693 tag. More...
int | getHfIso14443Aatqa ()
| Get the ATQA for a ISO 14443A tag. More...
int | getHfIso14443Asak ()
| Get the SAK for a ISO 14443A tag (note that only the first byte may be valid, depending on tag type) More...
int | getHfIso14443AmemorySize ()
| Get the memory size for a ISO 14443A tag. More...
int | getHfTopazAtqa ()
| Get the ATQA for a Topaz tag. More...
int | getHfTopazHr ()
| Get the HR for a Topaz tag. More...
int | getHfFelicaIcCode ()
| Get the IC Code for a FeliCA tag. More...
int | getHfFelicaSystemCode ()
| Get the System Code for a FeliCA tag. More...
UgiTagReadState | getTagReadState ()
| Get the read state for this tag at this moment in time. More...
boolean | isVisible ()
| Is the tag currently visible? More...
UgiInventory | getInventory ()
| Get the associated inventory object. More...
String | toString ()
| Get a description of the tag, generally for debugging. More...

## Classes
enum | HfTagTypes
| Type of HF tag. More...

## Member Function Documentation

## ◆ getEpc()

UgiEpc com.ugrokit.api.UgiTag.getEpc | ( |  | ) |

Tag's EPC.

Returns
  EPC

## ◆ getFirstRead()

Date com.ugrokit.api.UgiTag.getFirstRead | ( |  | ) |

When this tag was first read.

Returns
  When this tag was first read

## ◆ getTidBytes()

byte [] com.ugrokit.api.UgiTag.getTidBytes | ( |  | ) |

Tag's TID memory, if we have read it.

Returns
  TID

## ◆ setTidBytes()

void com.ugrokit.api.UgiTag.setTidBytes | ( | byte [] | tidBytes | ) |

Set the tag's TID memory.

Normally not used, but useful if the TID memory is read later

Parameters

  tidBytes | TID memory bytes

## ◆ getUserBytes()

byte [] com.ugrokit.api.UgiTag.getUserBytes | ( |  | ) |

Tag's USER memory, if we have read it.

Returns
  USER

## ◆ setUserBytes()

void com.ugrokit.api.UgiTag.setUserBytes | ( | byte [] | userBytes | ) |

Set the tag's USER memory.

Normally not used, but useful if the user memory is read later

Parameters

  userBytes | user memory bytes

## ◆ getReservedBytes()

byte [] com.ugrokit.api.UgiTag.getReservedBytes | ( |  | ) |

Tag's RESERVED memory, if we have read it.

Returns
  TID

## ◆ getHfTagType()

HfTagTypes com.ugrokit.api.UgiTag.getHfTagType | ( |  | ) |

Get the type of HF tag.

Returns
  type

## ◆ getHfName()

String com.ugrokit.api.UgiTag.getHfName | ( |  | ) |

Get the name for a HF tag (not localized)

Returns
  name

## ◆ getHfShortDescription()

String com.ugrokit.api.UgiTag.getHfShortDescription | ( |  | ) |

Get a short description for a HF tag (not localized)

Returns
  name

## ◆ getHfLongDescription()

String com.ugrokit.api.UgiTag.getHfLongDescription | ( |  | ) |

Get a long description for a HF tag (not localized)

Returns
  name

## ◆ getHfIso15693dsfid()

int com.ugrokit.api.UgiTag.getHfIso15693dsfid | ( |  | ) |

Get the DSFID for a ISO 15693 tag.

Returns
  DSFID

## ◆ getHfIso15693afi()

int com.ugrokit.api.UgiTag.getHfIso15693afi | ( |  | ) |

Get the AFI for a ISO 15693 tag.

Returns
  AFI

## ◆ getHfIso15693infoFlags()

int com.ugrokit.api.UgiTag.getHfIso15693infoFlags | ( |  | ) |

Get the information flags for a ISO 15693 tag.

Returns
  information flags

## ◆ getHfIso15693icReference()

int com.ugrokit.api.UgiTag.getHfIso15693icReference | ( |  | ) |

Get the IC reference for a ISO 15693 tag.

Returns
  IC reference

## ◆ getHfIso15693numBlocks()

int com.ugrokit.api.UgiTag.getHfIso15693numBlocks | ( |  | ) |

Get the number of memory blocks for a ISO 15693 tag.

Returns
  number of memory blocks

## ◆ getHfIso15693blockSize()

int com.ugrokit.api.UgiTag.getHfIso15693blockSize | ( |  | ) |

Get the block size for a ISO 15693 tag.

Returns
  block size

## ◆ getHfIso14443Aatqa()

int com.ugrokit.api.UgiTag.getHfIso14443Aatqa | ( |  | ) |

Get the ATQA for a ISO 14443A tag.

Returns
  ATQA

## ◆ getHfIso14443Asak()

int com.ugrokit.api.UgiTag.getHfIso14443Asak | ( |  | ) |

Get the SAK for a ISO 14443A tag (note that only the first byte may be valid, depending on tag type)

Returns
  SAK

## ◆ getHfIso14443AmemorySize()

int com.ugrokit.api.UgiTag.getHfIso14443AmemorySize | ( |  | ) |

Get the memory size for a ISO 14443A tag.

Returns
  memory size

## ◆ getHfTopazAtqa()

int com.ugrokit.api.UgiTag.getHfTopazAtqa | ( |  | ) |

Get the ATQA for a Topaz tag.

Returns
  ATQA

## ◆ getHfTopazHr()

int com.ugrokit.api.UgiTag.getHfTopazHr | ( |  | ) |

Get the HR for a Topaz tag.

Returns
  HR

## ◆ getHfFelicaIcCode()

int com.ugrokit.api.UgiTag.getHfFelicaIcCode | ( |  | ) |

Get the IC Code for a FeliCA tag.

Returns
  IC Code

## ◆ getHfFelicaSystemCode()

int com.ugrokit.api.UgiTag.getHfFelicaSystemCode | ( |  | ) |

Get the System Code for a FeliCA tag.

Returns
  System Code

## ◆ getTagReadState()

UgiTagReadState com.ugrokit.api.UgiTag.getTagReadState | ( |  | ) |

Get the read state for this tag at this moment in time.

Returns
  Read state for this tag

## ◆ isVisible()

boolean com.ugrokit.api.UgiTag.isVisible | ( |  | ) |

Is the tag currently visible?

Returns
  true if this tag is currently visible

## ◆ getInventory()

UgiInventory com.ugrokit.api.UgiTag.getInventory | ( |  | ) |

Get the associated inventory object.

Returns
  inventory object

## ◆ toString()

String com.ugrokit.api.UgiTag.toString | ( |  | ) |

Get a description of the tag, generally for debugging.

Returns
  string description